diff --git a/ldap/servers/plugins/replication/windows_protocol_util.c b/ldap/servers/plugins/replication/windows_protocol_util.c
index 603ce8e..2f8c2e7 100644
--- a/ldap/servers/plugins/replication/windows_protocol_util.c
+++ b/ldap/servers/plugins/replication/windows_protocol_util.c
@@ -260,7 +260,7 @@ windows_ignore_error_and_keep_going(int error)
 {
 	int return_value = PR_FALSE;
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "=> windows_ignore_error_and_keep_going\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> windows_ignore_error_and_keep_going\n", 0, 0, 0 );
 
 	switch (error)
 	{
@@ -331,15 +331,15 @@ windows_ignore_error_and_keep_going(int error)
 		return_value = PR_FALSE;
 		break;
 	}
-	LDAPDebug( LDAP_DEBUG_TRACE, "<= windows_ignore_error_and_keep_going\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= windows_ignore_error_and_keep_going\n", 0, 0, 0 );
 	return return_value;
 }
 
 static const char*
 op2string(int op)
 {
-	LDAPDebug( LDAP_DEBUG_TRACE, "=> op2string\n", 0, 0, 0 );
-	LDAPDebug( LDAP_DEBUG_TRACE, "<= op2string\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> op2string\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= op2string\n", 0, 0, 0 );
 	switch (op) {
 	case SLAPI_OPERATION_ADD:
 		return "add";
@@ -581,7 +581,7 @@ windows_acquire_replica(Private_Repl_Protocol *prp, RUV **ruv, int check_ruv)
 	PRBool is_newer = PR_FALSE;
 	RUV *r = NULL;
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "=> windows_acquire_replica\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> windows_acquire_replica\n", 0, 0, 0 );
 
 	if (NULL == ruv)
 	{
@@ -597,7 +597,7 @@ windows_acquire_replica(Private_Repl_Protocol *prp, RUV **ruv, int check_ruv)
         slapi_log_error(SLAPI_LOG_FATAL, LOG_ERR, windows_repl_plugin_name,
 						"%s: Remote replica already acquired\n",
 						agmt_get_long_name(prp->agmt));
-		LDAPDebug( LDAP_DEBUG_TRACE, "<= windows_acquire_replica\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= windows_acquire_replica\n", 0, 0, 0 );
         return ACQUIRE_SUCCESS;
     }
 
@@ -636,7 +636,7 @@ windows_acquire_replica(Private_Repl_Protocol *prp, RUV **ruv, int check_ruv)
 	/* Once we get here we have a valid ruv */
  	if (is_newer == PR_FALSE && check_ruv) { 
  		prp->last_acquire_response_code = NSDS50_REPL_UPTODATE;
-		LDAPDebug( LDAP_DEBUG_TRACE, "<= windows_acquire_replica - ACQUIRE_CONSUMER_WAS_UPTODATE\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= windows_acquire_replica - ACQUIRE_CONSUMER_WAS_UPTODATE\n", 0, 0, 0 );
  		return ACQUIRE_CONSUMER_WAS_UPTODATE; 
  	} 
 
@@ -705,7 +705,7 @@ windows_acquire_replica(Private_Repl_Protocol *prp, RUV **ruv, int check_ruv)
         prp->replica_acquired = PR_TRUE;
     }
 done:
-	LDAPDebug( LDAP_DEBUG_TRACE, "<= windows_acquire_replica\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= windows_acquire_replica\n", 0, 0, 0 );
 
 	return return_value;
 }
@@ -713,7 +713,7 @@ done:
 void
 windows_release_replica(Private_Repl_Protocol *prp)
 {
-  LDAPDebug( LDAP_DEBUG_TRACE, "=> windows_release_replica\n", 0, 0, 0 );
+  LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> windows_release_replica\n", 0, 0, 0 );
 
   PR_ASSERT(NULL != prp);
   PR_ASSERT(NULL != prp->conn);
@@ -725,7 +725,7 @@ windows_release_replica(Private_Repl_Protocol *prp)
 
   prp->replica_acquired = PR_FALSE;
 
-  LDAPDebug( LDAP_DEBUG_TRACE, "<= windows_release_replica\n", 0, 0, 0 );
+  LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= windows_release_replica\n", 0, 0, 0 );
 
 }
 
@@ -1545,7 +1545,7 @@ windows_replay_update(Private_Repl_Protocol *prp, slapi_operation_parameters *op
 	Slapi_Entry *local_entry = NULL;
 	Slapi_Entry *remote_entry = NULL;
 		
-	LDAPDebug( LDAP_DEBUG_TRACE, "=> windows_replay_update\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> windows_replay_update\n", 0, 0, 0 );
 
 	local_dn = slapi_sdn_dup( op->target_address.sdn );
 
@@ -2039,7 +2039,7 @@ windows_create_remote_entry(Private_Repl_Protocol *prp,Slapi_Entry *original_ent
 		"objectclass:top\n"
 		"objectclass:group\n";
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "=> windows_create_remote_entry\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> windows_create_remote_entry\n", 0, 0, 0 );
 
 	if (NULL == password) {
 		retval = LDAP_PARAM_ERROR;
@@ -2286,7 +2286,7 @@ error:
 	{
 		windows_dump_entry("Created new remote entry:\n",new_entry);
 	}
-	LDAPDebug( LDAP_DEBUG_TRACE, "<= windows_create_remote_entry: %d\n", retval, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= windows_create_remote_entry: %d\n", retval, 0, 0 );
 	return retval;
 }
 
@@ -2301,12 +2301,12 @@ windows_entry_already_exists(Slapi_Entry *e){
 	Slapi_DN *sdn = NULL;
 	Slapi_Entry *entry = NULL;
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "=> windows_entry_already_exists\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> windows_entry_already_exists\n", 0, 0, 0 );
 
 	sdn = slapi_entry_get_sdn(e);
 	rc  = slapi_search_internal_get_entry( sdn, NULL, &entry, repl_get_plugin_identity (PLUGIN_MULTIMASTER_REPLICATION));
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "<= windows_entry_already_exists\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= windows_entry_already_exists\n", 0, 0, 0 );
 
 	if (rc == LDAP_SUCCESS)
 	{
@@ -2326,7 +2326,7 @@ windows_delete_local_entry(Slapi_DN *sdn){
 	Slapi_PBlock *pb = NULL;
 	int return_value = 0;
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "=> windows_delete_local_entry\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> windows_delete_local_entry\n", 0, 0, 0 );
 
 	pb = slapi_pblock_new();
 	slapi_delete_internal_set_pb(pb, slapi_sdn_get_dn(sdn), NULL, NULL, repl_get_plugin_identity(PLUGIN_MULTIMASTER_REPLICATION), 0);
@@ -2338,7 +2338,7 @@ windows_delete_local_entry(Slapi_DN *sdn){
 		slapi_log_error(SLAPI_LOG_REPL, LOG_DEBUG, windows_repl_plugin_name,
 			"delete operation on local entry %s returned: %d\n", slapi_sdn_get_dn(sdn), return_value);
 	}
-	LDAPDebug( LDAP_DEBUG_TRACE, "<= windows_delete_local_entry: %d\n", return_value, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= windows_delete_local_entry: %d\n", return_value, 0, 0 );
 
 	return return_value;
 }
@@ -2634,7 +2634,7 @@ windows_check_mods_for_rdn_change(Private_Repl_Protocol *prp, LDAPMod **original
 	Slapi_Mod *smod = slapi_mod_new();
 	Slapi_Mod *last_smod = smod;
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "=> windows_check_mods_for_rdn_change\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> windows_check_mods_for_rdn_change\n", 0, 0, 0 );
 
 	/* Iterate through the original mods, looking for a modification to the RDN attribute */
 	slapi_mods_init_byref(&smods, original_mods);
@@ -2786,7 +2786,7 @@ done:
 		}
 	}
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "<= windows_check_mods_for_rdn_change: %d\n", ret, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= windows_check_mods_for_rdn_change: %d\n", ret, 0, 0 );
 
 	return ret;
 }
@@ -2809,16 +2809,16 @@ windows_map_mods_for_replay(Private_Repl_Protocol *prp,
 	const Slapi_DN *windows_subtree = NULL;
 	const subtreePair* subtree_pairs = NULL;
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "=> windows_map_mods_for_replay\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> windows_map_mods_for_replay\n", 0, 0, 0 );
 	if (NULL == prp) {
-		LDAPDebug(LDAP_DEBUG_TRACE,
+		LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
 		          "<= windows_map_mods_for_replay; NULL protocol; NOOP\n", 0, 0, 0);
 		return;
 	}
 	windows_subtree = windows_private_get_windows_subtree(prp->agmt);
 	subtree_pairs = windows_private_get_subtreepairs(prp->agmt);
 	if ((NULL == windows_subtree) && (NULL == subtree_pairs)) {
-		LDAPDebug(LDAP_DEBUG_TRACE,
+		LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
 		          "<= windows_map_mods_for_replay; NULL agreement subtree; NOOP\n", 0, 0, 0);
 		return;
 	}
@@ -3068,7 +3068,7 @@ windows_map_mods_for_replay(Private_Repl_Protocol *prp,
 	slapi_mods_done (&smods);
 	/* Extract the mods for the caller */
 	*returned_mods = slapi_mods_get_ldapmods_passout(&mapped_smods);
-	LDAPDebug( LDAP_DEBUG_TRACE, "<= windows_map_mods_for_replay\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= windows_map_mods_for_replay\n", 0, 0, 0 );
 }
 
 
@@ -4479,7 +4479,7 @@ windows_create_local_entry(Private_Repl_Protocol *prp,Slapi_Entry *remote_entry,
 		"ntGroupDeleteGroup:true\n"
    		"cn:%s\n";
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "=> windows_create_local_entry\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> windows_create_local_entry\n", 0, 0, 0 );
 
 	windows_is_remote_entry_user_or_group(remote_entry,&is_user,&is_group);
 	user_entry_template = is_nt4 ? local_nt4_user_entry_template : local_user_entry_template;
@@ -4606,7 +4606,7 @@ error:
 	{
 		slapi_ch_free_string(&username);
 	}
-	LDAPDebug( LDAP_DEBUG_TRACE, "<= windows_create_local_entry\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= windows_create_local_entry\n", 0, 0, 0 );
 	return retval;
 }
 
@@ -4676,7 +4676,7 @@ windows_generate_update_mods(Private_Repl_Protocol *prp,
 	Slapi_Entry *target_entry = NULL;
 
 	/* Iterate over the attributes on the remote entry, updating the local entry where appropriate */
-	LDAPDebug( LDAP_DEBUG_TRACE, "=> windows_generate_update_mods\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> windows_generate_update_mods\n", 0, 0, 0 );
 
 	*do_modify = 0;
 
@@ -5149,7 +5149,7 @@ windows_generate_update_mods(Private_Repl_Protocol *prp,
 		slapi_mods_dump(smods,"windows sync");
 	}
 bail:
-	LDAPDebug( LDAP_DEBUG_TRACE, "<= windows_generate_update_mods: %d\n", retval, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= windows_generate_update_mods: %d\n", retval, 0, 0 );
 	return retval;
 }
 
@@ -6022,7 +6022,7 @@ windows_dirsync_inc_run(Private_Repl_Protocol *prp)
 	int rc = 0;
 	int done = 0;
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "=> windows_dirsync_inc_run\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> windows_dirsync_inc_run\n", 0, 0, 0 );
 	while (!done) {
 
 		Slapi_Entry *e = NULL;
@@ -6049,6 +6049,6 @@ windows_dirsync_inc_run(Private_Repl_Protocol *prp)
 		}
 	} /* While !done */
 error:
-	LDAPDebug( LDAP_DEBUG_TRACE, "<= windows_dirsync_inc_run\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= windows_dirsync_inc_run\n", 0, 0, 0 );
 }
 
diff --git a/ldap/servers/plugins/retrocl/retrocl_trim.c b/ldap/servers/plugins/retrocl/retrocl_trim.c
index b09f669..5e9b59f 100644
--- a/ldap/servers/plugins/retrocl/retrocl_trim.c
+++ b/ldap/servers/plugins/retrocl/retrocl_trim.c
@@ -294,7 +294,7 @@ static int trim_changelog(void)
 	    }
 	}
     } else {
-       LDAPDebug(LDAP_DEBUG_PLUGIN, "not yet time to trim: %ld < (%d+%d)\n",
+       LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "not yet time to trim: %ld < (%d+%d)\n",
                  now, lt, trim_interval);
     }
     PR_Lock( ts.ts_s_trim_mutex );
@@ -372,7 +372,7 @@ void retrocl_housekeeping ( time_t cur_time, void *noarg )
 		 * But a client might have deleted it over protocol.
 		 */
 		first_time = retrocl_getchangetime( SLAPI_SEQ_FIRST, &ldrc );
-		LDAPDebug(LDAP_DEBUG_PLUGIN,
+		LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG,
 			  "cltrim: ldrc=%d, first_time=%ld, cur_time=%ld\n",
 			  ldrc,first_time,cur_time);
 		if ( LDAP_SUCCESS == ldrc && first_time > (time_t) 0L &&
diff --git a/ldap/servers/plugins/syntaxes/bin.c b/ldap/servers/plugins/syntaxes/bin.c
index 66dca47..221e4b5 100644
--- a/ldap/servers/plugins/syntaxes/bin.c
+++ b/ldap/servers/plugins/syntaxes/bin.c
@@ -211,11 +211,11 @@ bin_init( Slapi_PBlock *pb )
 {
 	int	rc;
 
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "=> bin_init\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "=> bin_init\n", 0, 0, 0 );
 	rc = register_bin_like_plugin( pb, &bin_pdesc, bin_names,
 		 	BINARY_SYNTAX_OID );
 	rc |= register_matching_rule_plugins();
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "<= bin_init %d\n", rc, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "<= bin_init %d\n", rc, 0, 0 );
 	return( rc );
 }
 
@@ -225,10 +225,10 @@ octetstring_init( Slapi_PBlock *pb )
 {
 	int	rc;
 
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "=> octetstring_init\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "=> octetstring_init\n", 0, 0, 0 );
 	rc = register_bin_like_plugin( pb, &octetstring_pdesc, octetstring_names,
 		 	OCTETSTRING_SYNTAX_OID );
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "<= octetstring_init %d\n", rc, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "<= octetstring_init %d\n", rc, 0, 0 );
 	return( rc );
 }
 
@@ -238,10 +238,10 @@ jpeg_init( Slapi_PBlock *pb )
 {
 	int	rc;
 
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "=> jpeg_init\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "=> jpeg_init\n", 0, 0, 0 );
 	rc = register_bin_like_plugin( pb, &jpeg_pdesc, jpeg_names,
 		 	JPEG_SYNTAX_OID );
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "<= jpeg_init %d\n", rc, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "<= jpeg_init %d\n", rc, 0, 0 );
 	return( rc );
 }
 
@@ -251,10 +251,10 @@ fax_init( Slapi_PBlock *pb )
 {
 	int	rc;
 
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "=> fax_init\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "=> fax_init\n", 0, 0, 0 );
 	rc = register_bin_like_plugin( pb, &fax_pdesc, fax_names,
 			FAX_SYNTAX_OID );
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "<= fax_init %d\n", rc, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "<= fax_init %d\n", rc, 0, 0 );
 	return( rc );
 }
 
diff --git a/ldap/servers/plugins/syntaxes/bitstring.c b/ldap/servers/plugins/syntaxes/bitstring.c
index a399e8d..af49ec4 100644
--- a/ldap/servers/plugins/syntaxes/bitstring.c
+++ b/ldap/servers/plugins/syntaxes/bitstring.c
@@ -104,7 +104,7 @@ bitstring_init( Slapi_PBlock *pb )
 {
 	int	rc, flags;
 
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "=> bitstring_init\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "=> bitstring_init\n", 0, 0, 0 );
 
 	rc = slapi_pblock_set( pb, SLAPI_PLUGIN_VERSION,
 	    (void *) SLAPI_PLUGIN_VERSION_01 );
@@ -135,7 +135,7 @@ bitstring_init( Slapi_PBlock *pb )
 	    (void *) bitstring_normalize );
 
 	rc |= register_matching_rule_plugins();
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "<= bitstring_init %d\n", rc, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "<= bitstring_init %d\n", rc, 0, 0 );
 	return( rc );
 }
 
diff --git a/ldap/servers/plugins/syntaxes/ces.c b/ldap/servers/plugins/syntaxes/ces.c
index 6ce19ca..6fd5d31 100644
--- a/ldap/servers/plugins/syntaxes/ces.c
+++ b/ldap/servers/plugins/syntaxes/ces.c
@@ -344,12 +344,12 @@ ces_init( Slapi_PBlock *pb )
 {
 	int	rc;
 
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "=> ces_init\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "=> ces_init\n", 0, 0, 0 );
 
 	rc = register_ces_like_plugin(pb,&ia5_pdesc,ia5_names,IA5STRING_SYNTAX_OID, ia5_validate);
 	rc |= register_matching_rule_plugins();
 
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "<= ces_init %d\n", rc, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "<= ces_init %d\n", rc, 0, 0 );
 	return( rc );
 }
 
@@ -358,12 +358,12 @@ uri_init( Slapi_PBlock *pb )
 {
 	int	rc;
 
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "=> uri_init\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "=> uri_init\n", 0, 0, 0 );
 
 	rc = register_ces_like_plugin(pb,&uri_pdesc,uri_names,
 				      "1.3.6.1.4.1.4401.1.1.1", NULL);
 
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "<= uri_init %d\n", rc, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "<= uri_init %d\n", rc, 0, 0 );
 	return( rc );
 }
 
diff --git a/ldap/servers/plugins/syntaxes/cis.c b/ldap/servers/plugins/syntaxes/cis.c
index a2cc456..dd46bd3 100644
--- a/ldap/servers/plugins/syntaxes/cis.c
+++ b/ldap/servers/plugins/syntaxes/cis.c
@@ -724,11 +724,11 @@ cis_init( Slapi_PBlock *pb )
 {
 	int	rc;
 
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "=> cis_init\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "=> cis_init\n", 0, 0, 0 );
 	rc = register_cis_like_plugin( pb, &dirstring_pdesc, dirstring_names,
 		 	DIRSTRING_SYNTAX_OID, dirstring_validate );
 	rc |= register_matching_rule_plugins();
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "<= cis_init %d\n", rc, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "<= cis_init %d\n", rc, 0, 0 );
 	return( rc );
 }
 
@@ -738,10 +738,10 @@ boolean_init( Slapi_PBlock *pb )
 {
 	int	rc;
 
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "=> boolean_init\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "=> boolean_init\n", 0, 0, 0 );
 	rc = register_cis_like_plugin( pb, &boolean_pdesc, boolean_names,
 			BOOLEAN_SYNTAX_OID, boolean_validate );
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "<= boolean_init %d\n", rc, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "<= boolean_init %d\n", rc, 0, 0 );
 	return( rc );
 }
 
@@ -750,10 +750,10 @@ time_init( Slapi_PBlock *pb )
 {
 	int	rc;
 
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "=> time_init\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "=> time_init\n", 0, 0, 0 );
 	rc = register_cis_like_plugin( pb, &time_pdesc, time_names,
 			GENERALIZEDTIME_SYNTAX_OID, time_validate );
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "<= time_init %d\n", rc, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "<= time_init %d\n", rc, 0, 0 );
 	return( rc );
 }
 
@@ -762,10 +762,10 @@ country_init( Slapi_PBlock *pb )
 {
 	int	rc;
 
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "=> country_init\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "=> country_init\n", 0, 0, 0 );
 	rc = register_cis_like_plugin( pb, &country_pdesc, country_names,
 				       COUNTRYSTRING_SYNTAX_OID, country_validate );
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "<= country_init %d\n", rc, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "<= country_init %d\n", rc, 0, 0 );
 	return( rc );
 }
 
@@ -774,10 +774,10 @@ postal_init( Slapi_PBlock *pb )
 {
 	int	rc;
 
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "=> postal_init\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "=> postal_init\n", 0, 0, 0 );
 	rc = register_cis_like_plugin( pb, &postal_pdesc, postal_names,
 				       POSTALADDRESS_SYNTAX_OID, postal_validate );
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "<= postal_init %d\n", rc, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "<= postal_init %d\n", rc, 0, 0 );
 	return( rc );
 }
 
@@ -787,9 +787,9 @@ oid_init( Slapi_PBlock *pb )
 {
 	int	rc;
 
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "=> oid_init\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "=> oid_init\n", 0, 0, 0 );
 	rc = register_cis_like_plugin( pb, &oid_pdesc, oid_names, OID_SYNTAX_OID, oid_validate );
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "<= oid_init %d\n", rc, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "<= oid_init %d\n", rc, 0, 0 );
 	return( rc );
 }
 
@@ -798,10 +798,10 @@ printable_init( Slapi_PBlock *pb )
 {
 	int     rc;
 
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "=> printable_init\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "=> printable_init\n", 0, 0, 0 );
 	rc = register_cis_like_plugin( pb, &printable_pdesc, printable_names,
 					PRINTABLESTRING_SYNTAX_OID, printable_validate );
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "<= printable_init %d\n", rc, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "<= printable_init %d\n", rc, 0, 0 );
 	return( rc );
 }
 
diff --git a/ldap/servers/plugins/syntaxes/deliverymethod.c b/ldap/servers/plugins/syntaxes/deliverymethod.c
index 47e9052..6702dc4 100644
--- a/ldap/servers/plugins/syntaxes/deliverymethod.c
+++ b/ldap/servers/plugins/syntaxes/deliverymethod.c
@@ -49,7 +49,7 @@ delivery_init( Slapi_PBlock *pb )
 {
 	int	rc, flags;
 
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "=> delivery_init\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "=> delivery_init\n", 0, 0, 0 );
 
 	rc = slapi_pblock_set( pb, SLAPI_PLUGIN_VERSION,
 	    (void *) SLAPI_PLUGIN_VERSION_01 );
@@ -79,7 +79,7 @@ delivery_init( Slapi_PBlock *pb )
 	rc |= slapi_pblock_set( pb, SLAPI_PLUGIN_SYNTAX_NORMALIZE,
 	    (void *) delivery_normalize );
 
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "<= delivery_init %d\n", rc, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "<= delivery_init %d\n", rc, 0, 0 );
 	return( rc );
 }
 
diff --git a/ldap/servers/plugins/syntaxes/dn.c b/ldap/servers/plugins/syntaxes/dn.c
index 12387c7..0dbc2ff 100644
--- a/ldap/servers/plugins/syntaxes/dn.c
+++ b/ldap/servers/plugins/syntaxes/dn.c
@@ -110,7 +110,7 @@ dn_init( Slapi_PBlock *pb )
 {
 	int	rc;
 
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "=> dn_init\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "=> dn_init\n", 0, 0, 0 );
 
 	rc = slapi_pblock_set( pb, SLAPI_PLUGIN_VERSION,
 	    (void *) SLAPI_PLUGIN_VERSION_01 );
@@ -136,7 +136,7 @@ dn_init( Slapi_PBlock *pb )
 	    (void *) dn_normalize );
 
 	rc |= register_matching_rule_plugins();
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "<= dn_init %d\n", rc, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "<= dn_init %d\n", rc, 0, 0 );
 	return( rc );
 }
 
diff --git a/ldap/servers/plugins/syntaxes/facsimile.c b/ldap/servers/plugins/syntaxes/facsimile.c
index 98b92e1..cbf7e25 100644
--- a/ldap/servers/plugins/syntaxes/facsimile.c
+++ b/ldap/servers/plugins/syntaxes/facsimile.c
@@ -49,7 +49,7 @@ facsimile_init( Slapi_PBlock *pb )
 {
 	int	rc, flags;
 
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "=> facsimile_init\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "=> facsimile_init\n", 0, 0, 0 );
 
 	rc = slapi_pblock_set( pb, SLAPI_PLUGIN_VERSION,
 	    (void *) SLAPI_PLUGIN_VERSION_01 );
@@ -79,7 +79,7 @@ facsimile_init( Slapi_PBlock *pb )
 	rc |= slapi_pblock_set( pb, SLAPI_PLUGIN_SYNTAX_NORMALIZE,
 	    (void *) facsimile_normalize );
 
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "<= facsimile_init %d\n", rc, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "<= facsimile_init %d\n", rc, 0, 0 );
 	return( rc );
 }
 
diff --git a/ldap/servers/plugins/syntaxes/guide.c b/ldap/servers/plugins/syntaxes/guide.c
index 889081e..9986fc7 100644
--- a/ldap/servers/plugins/syntaxes/guide.c
+++ b/ldap/servers/plugins/syntaxes/guide.c
@@ -59,7 +59,7 @@ guide_init( Slapi_PBlock *pb )
 {
 	int	rc, flags;
 
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "=> guide_init\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "=> guide_init\n", 0, 0, 0 );
 
 	rc = slapi_pblock_set( pb, SLAPI_PLUGIN_VERSION,
 	    (void *) SLAPI_PLUGIN_VERSION_01 );
@@ -89,7 +89,7 @@ guide_init( Slapi_PBlock *pb )
 	rc |= slapi_pblock_set( pb, SLAPI_PLUGIN_SYNTAX_NORMALIZE,
 	    (void *) guide_normalize );
 
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "<= guide_init %d\n", rc, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "<= guide_init %d\n", rc, 0, 0 );
 	return( rc );
 }
 
@@ -98,7 +98,7 @@ enhancedguide_init( Slapi_PBlock *pb )
 {
 	int     rc, flags;
 
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "=> guide_init\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "=> guide_init\n", 0, 0, 0 );
 
 	rc = slapi_pblock_set( pb, SLAPI_PLUGIN_VERSION,
 	    (void *) SLAPI_PLUGIN_VERSION_01 );
@@ -126,7 +126,7 @@ enhancedguide_init( Slapi_PBlock *pb )
 	rc |= slapi_pblock_set( pb, SLAPI_PLUGIN_SYNTAX_VALIDATE,
 	    (void *) enhancedguide_validate );
 
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "<= guide_init %d\n", rc, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "<= guide_init %d\n", rc, 0, 0 );
 	return( rc );
 }
 
diff --git a/ldap/servers/plugins/syntaxes/int.c b/ldap/servers/plugins/syntaxes/int.c
index a0ac682..400ad8a 100644
--- a/ldap/servers/plugins/syntaxes/int.c
+++ b/ldap/servers/plugins/syntaxes/int.c
@@ -162,7 +162,7 @@ int_init( Slapi_PBlock *pb )
 {
 	int	rc, flags;
 
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "=> int_init\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "=> int_init\n", 0, 0, 0 );
 
 	rc = slapi_pblock_set( pb, SLAPI_PLUGIN_VERSION,
 	    (void *) SLAPI_PLUGIN_VERSION_01 );
@@ -189,7 +189,7 @@ int_init( Slapi_PBlock *pb )
 	    (void *) int_normalize );
 
 	rc |= register_matching_rule_plugins();
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "<= int_init %d\n", rc, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "<= int_init %d\n", rc, 0, 0 );
 	return( rc );
 }
 
diff --git a/ldap/servers/plugins/syntaxes/nameoptuid.c b/ldap/servers/plugins/syntaxes/nameoptuid.c
index b31d506..98b319e 100644
--- a/ldap/servers/plugins/syntaxes/nameoptuid.c
+++ b/ldap/servers/plugins/syntaxes/nameoptuid.c
@@ -109,7 +109,7 @@ nameoptuid_init( Slapi_PBlock *pb )
 {
 	int	rc, flags;
 
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "=> nameoptuid_init\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "=> nameoptuid_init\n", 0, 0, 0 );
 
 	rc = slapi_pblock_set( pb, SLAPI_PLUGIN_VERSION,
 	    (void *) SLAPI_PLUGIN_VERSION_01 );
@@ -140,7 +140,7 @@ nameoptuid_init( Slapi_PBlock *pb )
 	    (void *) nameoptuid_normalize );
 
 	rc |= register_matching_rule_plugins();
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "<= nameoptuid_init %d\n", rc, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "<= nameoptuid_init %d\n", rc, 0, 0 );
 	return( rc );
 }
 
diff --git a/ldap/servers/plugins/syntaxes/numericstring.c b/ldap/servers/plugins/syntaxes/numericstring.c
index 2c3beaf..9d6a412 100644
--- a/ldap/servers/plugins/syntaxes/numericstring.c
+++ b/ldap/servers/plugins/syntaxes/numericstring.c
@@ -167,7 +167,7 @@ numstr_init( Slapi_PBlock *pb )
 {
 	int	rc, flags;
 
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "=> numstr_init\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "=> numstr_init\n", 0, 0, 0 );
 
 	rc = slapi_pblock_set( pb, SLAPI_PLUGIN_VERSION,
 	    (void *) SLAPI_PLUGIN_VERSION_01 );
@@ -194,7 +194,7 @@ numstr_init( Slapi_PBlock *pb )
 	    (void *) numstr_normalize );
 
 	rc |= register_matching_rule_plugins();
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "<= numstr_init %d\n", rc, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "<= numstr_init %d\n", rc, 0, 0 );
 	return( rc );
 }
 
diff --git a/ldap/servers/plugins/syntaxes/sicis.c b/ldap/servers/plugins/syntaxes/sicis.c
index dc8a35d..93b75e5 100644
--- a/ldap/servers/plugins/syntaxes/sicis.c
+++ b/ldap/servers/plugins/syntaxes/sicis.c
@@ -54,7 +54,7 @@ sicis_init( Slapi_PBlock *pb )
 {
 	int	rc, flags;
 
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "=> sicis_init\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "=> sicis_init\n", 0, 0, 0 );
 
 	rc = slapi_pblock_set( pb, SLAPI_PLUGIN_VERSION,
 	    (void *) SLAPI_PLUGIN_VERSION_01 );
@@ -82,7 +82,7 @@ sicis_init( Slapi_PBlock *pb )
 	rc |= slapi_pblock_set( pb, SLAPI_PLUGIN_SYNTAX_NORMALIZE,
 	    (void *) sicis_normalize );
 
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "<= sicis_init %d\n", rc, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "<= sicis_init %d\n", rc, 0, 0 );
 	return( rc );
 }
 
diff --git a/ldap/servers/plugins/syntaxes/string.c b/ldap/servers/plugins/syntaxes/string.c
index 149663b..541870f 100644
--- a/ldap/servers/plugins/syntaxes/string.c
+++ b/ldap/servers/plugins/syntaxes/string.c
@@ -181,7 +181,7 @@ string_filter_approx( struct berval *bvfilter, Slapi_Value **bvals,
 	if (0 != rc) {
 		rc = -1;
 	}
-	LDAPDebug( LDAP_DEBUG_TRACE, "<= string_filter_approx %d\n",
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= string_filter_approx %d\n",
 	    rc, 0, 0 );
 
 	return( rc );
@@ -208,7 +208,7 @@ string_filter_sub( Slapi_PBlock *pb, char *initial, char **any, char *final,
 	int free_re = 1;
 	struct subfilt *sf = NULL;
 
-	LDAPDebug( LDAP_DEBUG_FILTER, "=> string_filter_sub\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "=> string_filter_sub\n", 0, 0, 0 );
 	if (pb) {
 		slapi_pblock_get( pb, SLAPI_OPERATION, &op );
 	}
@@ -322,13 +322,13 @@ string_filter_sub( Slapi_PBlock *pb, char *initial, char **any, char *final,
 		tmpbuf = NULL;
 		re = slapi_re_comp( p, &re_result );
 		if (NULL == re) {
-			LDAPDebug( LDAP_DEBUG_ANY, "re_comp (%s) failed (%s): %s\n",
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "re_comp (%s) failed (%s): %s\n",
 					   pat, p, re_result?re_result:"unknown" );
 			rc = LDAP_OPERATIONS_ERROR;
 			goto bailout;
 		} else if (slapi_is_loglevel_set(SLAPI_LOG_TRACE)) {
 			char ebuf[BUFSIZ];
-			LDAPDebug(LDAP_DEBUG_TRACE, "re_comp (%s)\n", escape_string(p, ebuf), 0, 0);
+			LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "re_comp (%s)\n", escape_string(p, ebuf), 0, 0);
 		}
 	}
 
@@ -376,7 +376,7 @@ string_filter_sub( Slapi_PBlock *pb, char *initial, char **any, char *final,
 
 		if (slapi_is_loglevel_set(SLAPI_LOG_TRACE)) {
 			char ebuf[BUFSIZ];
-			LDAPDebug(LDAP_DEBUG_TRACE, "re_exec (%s) %i\n", escape_string(realval, ebuf), tmprc, 0);
+			LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "re_exec (%s) %i\n", escape_string(realval, ebuf), tmprc, 0);
 		}
 		if ( tmprc == 1 ) {
 			rc = 0;
@@ -393,7 +393,7 @@ bailout:
 	slapi_ch_free((void**)&tmpbuf );	/* NULL is fine */
 	slapi_ch_free((void**)&bigpat );	/* NULL is fine */
 
-	LDAPDebug( LDAP_DEBUG_FILTER, "<= string_filter_sub %d\n",
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "<= string_filter_sub %d\n",
 	    rc, 0, 0 );
 	return( rc );
 }
@@ -738,7 +738,7 @@ string_assertion2keys_ava(
 		}
 		break;
 	default:
-		LDAPDebug( LDAP_DEBUG_ANY,
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 		    "string_assertion2keys_ava: unknown ftype 0x%x\n",
 		    ftype, 0, 0 );
 		break;
@@ -920,7 +920,7 @@ substring_comp_keys(
 	PR_ASSERT(NULL != comp_buf);
 	PR_ASSERT(NULL != substrlens);
 
-    LDAPDebug( LDAP_DEBUG_TRACE, "=> substring_comp_keys (%s) %d\n",
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> substring_comp_keys (%s) %d\n",
         str, prepost, 0 );
 
     /* prepend ^ for initial substring */
@@ -963,5 +963,5 @@ substring_comp_keys(
 		(*nsubs)++;
     }
 
-    LDAPDebug( LDAP_DEBUG_TRACE, "<= substring_comp_keys\n", 0, 0, 0 );
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= substring_comp_keys\n", 0, 0, 0 );
 }
diff --git a/ldap/servers/plugins/syntaxes/tel.c b/ldap/servers/plugins/syntaxes/tel.c
index 6a5d92f..a777bdf 100644
--- a/ldap/servers/plugins/syntaxes/tel.c
+++ b/ldap/servers/plugins/syntaxes/tel.c
@@ -151,7 +151,7 @@ tel_init( Slapi_PBlock *pb )
 {
 	int	rc, flags;
 
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "=> tel_init\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "=> tel_init\n", 0, 0, 0 );
 
 	rc = slapi_pblock_set( pb, SLAPI_PLUGIN_VERSION,
 	    (void *) SLAPI_PLUGIN_VERSION_01 );
@@ -182,7 +182,7 @@ tel_init( Slapi_PBlock *pb )
 	    (void *) tel_normalize );
 
 	rc |= register_matching_rule_plugins();
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "<= tel_init %d\n", rc, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "<= tel_init %d\n", rc, 0, 0 );
 	return( rc );
 }
 
diff --git a/ldap/servers/plugins/syntaxes/teletex.c b/ldap/servers/plugins/syntaxes/teletex.c
index ae713ce..8255869 100644
--- a/ldap/servers/plugins/syntaxes/teletex.c
+++ b/ldap/servers/plugins/syntaxes/teletex.c
@@ -49,7 +49,7 @@ teletex_init( Slapi_PBlock *pb )
 {
 	int	rc, flags;
 
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "=> teletex_init\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "=> teletex_init\n", 0, 0, 0 );
 
 	rc = slapi_pblock_set( pb, SLAPI_PLUGIN_VERSION,
 	    (void *) SLAPI_PLUGIN_VERSION_01 );
@@ -79,7 +79,7 @@ teletex_init( Slapi_PBlock *pb )
 	rc |= slapi_pblock_set( pb, SLAPI_PLUGIN_SYNTAX_NORMALIZE,
 	    (void *) teletex_normalize );
 
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "<= teletex_init %d\n", rc, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "<= teletex_init %d\n", rc, 0, 0 );
 	return( rc );
 }
 
diff --git a/ldap/servers/plugins/syntaxes/telex.c b/ldap/servers/plugins/syntaxes/telex.c
index 99525af..14405f2 100644
--- a/ldap/servers/plugins/syntaxes/telex.c
+++ b/ldap/servers/plugins/syntaxes/telex.c
@@ -48,7 +48,7 @@ telex_init( Slapi_PBlock *pb )
 {
 	int	rc, flags;
 
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "=> telex_init\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "=> telex_init\n", 0, 0, 0 );
 
 	rc = slapi_pblock_set( pb, SLAPI_PLUGIN_VERSION,
 	    (void *) SLAPI_PLUGIN_VERSION_01 );
@@ -78,7 +78,7 @@ telex_init( Slapi_PBlock *pb )
 	rc |= slapi_pblock_set( pb, SLAPI_PLUGIN_SYNTAX_NORMALIZE,
 	    (void *) telex_normalize );
 
-	LDAPDebug( LDAP_DEBUG_PLUGIN, "<= telex_init %d\n", rc, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "<= telex_init %d\n", rc, 0, 0 );
 	return( rc );
 }
 
